curl -X POST https://api.tryprofound.com/v2/reports/factcheck/claims \
-H "X-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"category_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"start_date": "2026-06-09",
"end_date": "2026-06-15",
"include": ["reasoning", "citation_sources"]
}'
{
"info": {
"total_results": 41,
"count": 25,
"next_cursor": "eyJ…",
"models": ["ChatGPT", "Google Gemini", "Perplexity", "Claude", "..."],
"group_by": [],
"start_date": "2026-06-09",
"end_date": "2026-06-15",
"filter": null,
"include": ["reasoning", "citation_sources"]
},
"data": [
{
"cluster_id": "7a576…",
"claim": "Profound covers more than 10 AI engines.",
"occurrence": 6.6,
"reasoning": "Conflates GEO tooling with the engines Profound actually tracks.",
"citation_sources": [
{
"href": "tryprofound.com/blog/best-geo-tools",
"hostname": "tryprofound.com",
"citation_category": "owned",
"domain_category": "owned",
"snippet": "Profound tracks ten answer engines…",
"citation_share": 14.2
}
]
}
]
}
FactCheck
FactCheck の主張
POST
/
v2
/
reports
/
factcheck
/
claims
curl -X POST https://api.tryprofound.com/v2/reports/factcheck/claims \
-H "X-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"category_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"start_date": "2026-06-09",
"end_date": "2026-06-15",
"include": ["reasoning", "citation_sources"]
}'
{
"info": {
"total_results": 41,
"count": 25,
"next_cursor": "eyJ…",
"models": ["ChatGPT", "Google Gemini", "Perplexity", "Claude", "..."],
"group_by": [],
"start_date": "2026-06-09",
"end_date": "2026-06-15",
"filter": null,
"include": ["reasoning", "citation_sources"]
},
"data": [
{
"cluster_id": "7a576…",
"claim": "Profound covers more than 10 AI engines.",
"occurrence": 6.6,
"reasoning": "Conflates GEO tooling with the engines Profound actually tracks.",
"citation_sources": [
{
"href": "tryprofound.com/blog/best-geo-tools",
"hostname": "tryprofound.com",
"citation_category": "owned",
"domain_category": "owned",
"snippet": "Profound tracks ten answer engines…",
"citation_share": 14.2
}
]
}
]
}
正確性スコアの背後にある不正確な主張、つまりプラットフォームの FactCheck タブに表示される、
AI の回答がカテゴリについて述べた誤った記述です。フラットなページ分割リストを返すか、
group_by で 1 つのディメンションを指定してセクションに分けます。各主張は
{ cluster_id, claim, occurrence } に、include で追加したフィールドを加えたものです。
occurrence: 対象範囲の回答のうち、その主張を含むものの割合 (%)。include:theme、reasoning、models、evidence、citation_sourcesのいずれか。models[]— その主張を行っているモデル:{ id, name, occurrence }。evidence[]— 主張に反論する Knowledge Base のスニペット:{ id, kb_path, kb_snippet, source_updated_at }。citation_sources[]— その主張の原因となっている引用ページ:{ href, hostname, citation_category, domain_category, snippet, citation_share }。citation_shareはモデル間で均衡化されたパーセンテージで、Citations タブと一致します。
group_by:model、region、persona、prompt、topic、tag、themeのうち 0 または 1 つ (citationとdateはスコアのディメンションのため使用できません)。空の場合 → 1 つのフラットなページ分割リスト。ディメンションを指定した場合 → 値ごとに 1 つのセクション:{ <dim>: { id, name }, accuracy, accurate, inaccurate, total_claims, claims: […] }。各セクションにはその すべて の主張が含まれます。filter: スコア と同じ制約付きのツリーで、model/topic/region/persona/prompt/tagに対する単一フィールドのリーフをトップレベルのandで結合したものです (否定できるのはtopicのみ)。
いくつかのガードレールにより
422 (メッセージ付き) が返されます。citation_sources は group_by と併用できません (そのシェアは対象範囲に依存するため)。フラットなリストでリクエストしてください。group_by: ["tag"] は tag フィルタと組み合わせられません (タグは複数値を持つため、共起するタグのセクションがフィルタの対象外になってしまいます)。また、非常に大きな範囲 (不正確なクラスタが約 2000 件超) で model によるセクション分けを行うこともできません。期間を狭めるか filter を使用してください。ストリーミング (SSE) バリアント (同じボディ、/stream)
ストリーミング (SSE) バリアント (同じボディ、/stream)
POST /v2/reports/factcheck/claims/stream は 同じリクエストボディ を受け取り、
Server-Sent Events を返します。
まず 1 つの summary イベント (info ブロック) が送信され、続いて主張ごとに 1 つの result イベントが送信されます。
limit/cursor は無視され、デフォルトではすべての結果が返されます。上限を設けるには
max_results を指定します。ストリームは フラットなリストのみ に対応しています。group_by および主張ごとの
evidence/citation_sources の取得は 422 を返します。セクション分けや情報を付加した主張が必要な場合は、
非ストリームのエンドポイントを使用してください。Response (text/event-stream)
event: summary
data: { ...the info block... }
event: result ← one per claim, same shape as data[] above
data: {"cluster_id": "7a5…", "claim": "Profound covers more than 10 AI engines.", "occurrence": 6.6}
curl -X POST https://api.tryprofound.com/v2/reports/factcheck/claims \
-H "X-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"category_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"start_date": "2026-06-09",
"end_date": "2026-06-15",
"include": ["reasoning", "citation_sources"]
}'
{
"info": {
"total_results": 41,
"count": 25,
"next_cursor": "eyJ…",
"models": ["ChatGPT", "Google Gemini", "Perplexity", "Claude", "..."],
"group_by": [],
"start_date": "2026-06-09",
"end_date": "2026-06-15",
"filter": null,
"include": ["reasoning", "citation_sources"]
},
"data": [
{
"cluster_id": "7a576…",
"claim": "Profound covers more than 10 AI engines.",
"occurrence": 6.6,
"reasoning": "Conflates GEO tooling with the engines Profound actually tracks.",
"citation_sources": [
{
"href": "tryprofound.com/blog/best-geo-tools",
"hostname": "tryprofound.com",
"citation_category": "owned",
"domain_category": "owned",
"snippet": "Profound tracks ten answer engines…",
"citation_share": 14.2
}
]
}
]
}
承認
APIKeyHeaderBearerAuth
ボディ
application/json
The inaccurate claims — flat + paginated, or group_by one dim to section them (all claims per section).
YYYY-MM-DD, ET, inclusive
YYYY-MM-DD, ET, inclusive
Optional single dim to section the claims (e.g. per model). Empty → one flat claim list.
Maximum array length:
1利用可能なオプション:
model, region, persona, prompt, topic, tag, theme Scope which responses count (see Filtering).
Show child attributes
Show child attributes
Optional per-claim detail fields to add to each claim (see options).
利用可能なオプション:
theme, reasoning, models, evidence, citation_sources Claims (or sections) per page; default 25.
必須範囲:
0 < x <= 100Stream only: cap entries returned.
必須範囲:
x > 0このページは役に立ちましたか?